--------------------------------------------------------------------------------
 --	Network Rendering
 --	version 1.0
 --	max version 2011
 --	written by Michael Burgoyne
 --	www.burgoynedesign.com
 --	last updated 02/28/11
 --------------------------------------------------------------------------------
 --
 --	Simplified dialog to submit jobs to backbuner.
 --
 --------------------------------------------------------------------------------

global GetJobsInfo
try destroyDialog GetJobsInfo catch()
global m=#()
global  jbs=#()
global job=#()
global MyPlatform = #default
global netaddress="10.0.0.3" -- the ip of your manager
numb = 0
global jobName = jobName = if (maxFileName != "") or (rendOutputFilename != "")Then (  ((filterString maxFileName "." )[1]+ "_" + fileName) ) else ("Job Name")
global fileName = getFilenameFile rendOutputFilename
global passName = "pass name"
global render_Output = getFilenamePath rendOutputFilename
rollout GetJobsInfo " Network Render"

(
--UI ELEMENTS
	group "Platform"
	(
	radiobuttons rBtn "" labels:#("32 bit", "64 bit") columns:1 align:#left
	)
	group "Job Name"
	(
	edittext OldJb "" text:jobName across:2 width:240--get this frome the renderpasses job vairable 
	button incJobBtn "+" align:#right
	)
	group "Manager"
	(
	edittext Naddress"" text:netaddress across:2 width:200
	button btn01 "Connect" align:#right
	)
	group "Options"
	(
	checkbox inMaps "Include Maps" enabled:false
	)
	group "Jobs" 
	(
	listbox jbList "" enabled:false
	)

	button submitBtn "Submit" enabled:false
	on submitBtn pressed do
	(
		if c1 = true then
		(
			if rendTimeType == 1 then 
			(
				singleFrame = slidertime as string
				sframe = filterString singleFrame "f"
				oneFrame = sframe[1] as number
				theStartFrame = oneFrame 
				theEndFrame = oneFrame
			)
			if rendTimeType == 2 then 
			(
				theRange = animationRange as string
				nFames = filterString theRange "( ) f interval"
				startFrame = nFames[1] as number
				endFrame = nFames[2] as number
				theStartFrame = startFrame 
				theEndFrame = endFrame
			)	
			if rendTimeType == 3 then 
			( 
				theStartFrame = rendStart  
				theEndFrame = rendEnd
			)	
		jobName = OldJb.text
		m.getcontrol()
		jobSub = m.newjob() 
		jobSub.name = jobName
		jobSub.fromFrame = theStartFrame
		jobSub.toFrame = theEndFrame
	
		---add checkbox for tincluding maps
		if inMaps.checked == true then 
		(
			jobSub.includeMaps = true --turn on "Include Maps"
		)
			else
		(
			jobSub.includeMaps = false --turn off includemaps
		)
		jobSub.frameOutputName = render_Output
		jobSub.submit() --this uses all servers for the job
		m.disconnect()
	)
	)
on incJobBtn pressed do
(
	numb +=1 
	OldJb.text = jobName +"_" + numb as string 
)
on rBtn changed state do
(
	if state == 1 do MyPlatform = #32
	if state == 2 do MyPlatform = #64
)
 fn connectman server Platform=
 (
 	m=netrender.getmanager Platform()
 	c1 = m.connect #manual server platform:Platform
 )
 fn getjobs=
 (
 	Job=m.getjobs()
 	jbs=#()
 	for j=1 to job.count do append jbs job[j].name
 	return jbs
 )
on btn01 pressed do (
submitBtn.enabled = true
inMaps.enabled = true
jbList.enabled = true
netaddress = Naddress.text
jobName = OldJb.text
x=connectman netaddress MyPlatform
 if x==true then
 (
 	getjobs()
 	for i=1 to jbs.count do format "Job : %\t-\t%\n" i jbs[i] 
	jbList.items = for j in job collect j.name
	for o=1 to jbs.count do
	(
		if OldJb.text == job[o].name then 
		(

		messagebox "Duplicate job in the que"

		)
	)
 	--m.disconnect()
 )
 else	
 (
	messagebox "Cannot connect."
 )

 )
 )--close rollout
createDialog GetJobsInfo 300 410  lockWidth:true lockHeight:true style:#(#style_toolwindow, #style_sysmenu, #style_resizing)

